html {
    scrollbar-width: none;
    margin: 0;
    background: rgb(240, 240, 240);
    color: black;
    font-family: sans-serif;
}

body {
    margin: 0;
}

iframe {
    border-style: none;
}

.iframe-placeholder {
    display: flex;
    justify-content: center;
    align-items: center;
    box-sizing: border-box;
    background: skyblue;
    border-style: solid;
    border-width: 5px;
    border-color: white;
    text-align: center;
}

input {
    padding: 0.5em;
    border-width: 0;
    margin: 0;
    border-radius: 5px;
}

button, select {
    position: relative;
    border-style: none;
    border-radius: 5px;
    margin: 0;
    padding: 0.5em;
    background: skyblue;
    color: black;
    border-style: solid;
    border-width: 0;
}

button:hover, select:hover {
    filter: brightness(1.1);
}

button:active, select:active {
    filter: brightness(0.9);
}

button.delete-button {
    visibility: hidden;
    background: orange;
    position: absolute;
    top: 0;
    left: 0;
}

#live-all-button {
    background: crimson;
    color: white;
}

button.depressed {
    background: orange;
}

.button-group {
    display: flex;
    flex-direction: row;
}

.button-group > button {
    border-radius: 0px;
}

.button-group > button + button {
    margin: 0 0 0 2px;
}

.button-group > button:first-child {
    border-radius: 5px 0 0 5px;
}

.button-group > button:last-child {
    border-radius: 0 5px 5px 0;
}

a {
    color: white;
}

a:visited {
    color: white;
}

#video-box-grid {
    background: black;
    display: grid;
    width: 100%;
}

.video-box {
    position: relative;
    width: 100%;
    height: 100%;
}

.video-box > * {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.video-box-overlay {
    width: 100%;
    height: 100%;
    padding: 0.5em;
    position: relative;
    background: rgba(255, 255, 255, 0.3);
    color: black;
    visibility: hidden;
    box-sizing: border-box;
    border-width: 5px;
    border-style: solid;
    border-color: rgba(255, 255, 255, 0);
}

.video-box-overlay.highlight {
    background: rgba(255, 165, 0, 0.3);
    border-color: orange;
}

.video-selector {
    display: grid;
    grid-gap: 2px 2px;
    position: absolute;
    padding: 0.5em;
    top: 0;
    right: 0;
    background: rgba(0, 0, 0, 0.75);
    padding: 2px;
}

.video-selector-thumb {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: smaller;
    border-radius: 0;

    box-sizing: border-box;
    border-width: 2px;
    border-style: solid;
    border-color: rgba(0, 0, 0, 0);

    background-color: black;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
}

.video-selector-thumb.current {
    border-color: orange;
}

.video-selector-thumb:hover {

}

.video-selector-thumb.current:hover {

}

#settings-trigger {
    position: fixed;
    bottom: 0;
    height: 5px;
    width: 100%;
    background-color: yellow;
    opacity: 0;
}

#settings {
    position: sticky;
    bottom: 0;
    width: 100%;
    background: rgb(240, 240, 240);
    transition-property: bottom;
    transition-duration: 0.2s;

    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 0.5em;
    border-style: solid;
    border-width: 5px 0 0 0;
    border-color: skyblue;
}

#settings.edit {
    border-color: orange;
}

.setting {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0.5em;
}

.setting > label {
    margin-right: 0.5em;
}

.setting > input {
    border-radius: 5px 0 0 5px;
}

.setting > input+button {
    border-radius: 0 5px 5px 0;
}

.left-align {
    display: flex;
    justify-content: flex-start;
    flex-wrap: wrap;
}

#footer {
    color: darkgray;
    width: 100%;
    text-align: center;
    padding: 5px;
    /* border-width: 5px 0 0 0; */
    /* border-style: solid; */
    /* border-color: skyblue; */
}

#footer b {
    color: skyblue;
}

#footer a {
    color: skyblue;
}
